/*
	BAREZNM.C
	
	Bare znet master controller program.
	See barezn1.c for usage notes.
*/

#define ZNMASTER 1		//	I am the master
#define RUNKERNEL 1		//	need background task
#use vdriver.lib
#use aasczn.lib
//#use eziopk23.lib		// needed only if you are using a pk23xx controller.
#use srtk.lib

#funcchain _srtk_hightask znPollMaster

main() {
	VdInit();
	znInit(ZN1200*16,0,NULL,0);
	znSetMap(1,ZNMUSTPOLL);
	znSetMap(2,ZNMUSTPOLL);
	init_srtkernel();
	while (1) {
		costate {
			waitfor(DelayMs(500));
			hitwd();
			}
		}
	}